Package org.eclipse.cdt.core.dom.ast

# Interface IASTPreprocessorPragmaStatement

All Superinterfaces:
  `IASTNode`, `IASTPreprocessorStatement`

public interface IASTPreprocessorPragmaStatement extends IASTPreprocessorStatement
Represents a #pragma directive or a pragma operator.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorStatement

`MACRO_NAME`

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getMessage()`
Returns the pragma message.
`boolean`
`isPragmaOperator()`
Returns whether this uses the pragma operator syntax, e.g: `_Pragma("once")`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Method Details

### getMessage

char[] getMessage()
Returns the pragma message.

### isPragmaOperator

boolean isPragmaOperator()
Returns whether this uses the pragma operator syntax, e.g: `_Pragma("once")`

Since:
  5.2